---
updatedAt: 2025-11-11T00:10:00.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Credit Customer

This endpoint is provisioned for providers to use when they want to credit the user’s account for the loan amount. 
The Service will fire a fund transfer advice request to Quickteller with the configured details of the Provider.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ipg",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/lending-service/api/v1/loans/{loanId}/fund": {
      "post": {
        "summary": "Credit Customer",
        "description": "This endpoint is provisioned for providers to use when they want to credit the user’s account for the loan amount. \nThe Service will fire a fund transfer advice request to Quickteller with the configured details of the Provider.",
        "operationId": "credit-customer",
        "parameters": [
          {
            "name": "loanId",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "10000000044"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Bearer eyJhbGciOiJSUzI1NiJ9.eyJhdWQiOlsiY2FyZGxlc3Mtc2VydmljZSIsImluY29nbml0byIsImlzdy1jb2xsZWN0aW9ucyIsImlzdy1jb3JlIiwiaXN3LWxlbmRpbmctc2VydmljZSIsImlzdy1wYXltZW50Z2F0ZXdheSIsInBhc3Nwb3J0IiwicGF5bWVudC1zZXJ2aWNlIiwicHJvamVjdC14LW1lcmNoYW50IiwidmF1bHQiXSwibWVyY2hhbnRfY29kZSI6Ik1YMTg3IiwicHJvZHVjdGlvbl9wYXltZW50X2NvZGUiOiIwMDE2NDYzOTg1NCIsInJlcXVlc3Rvcl9pZCI6IjAwMTE3NjE0OTkyIiwic2NvcGUiOlsicHJvZmlsZSJdLCJqdGkiOiIzNTFjNDQ5MS01YzcwLTRhOTEtODRiZS0zZjNjY2Q1YzE2Y2MiLCJwYXlhYmxlX2lkIjoiMjMyNCIsImNsaWVudF9pZCI6IklLSUE5NjE0QjgyMDY0RDYzMkU5QjY0MThERjM1OEE2QTRBRUE4NEQ3MjE4IiwicGF5bWVudF9jb2RlIjoiMDQyNTk0MTMwMjQ2In0.P2mUITLA2bsmMryCyuVwDXK-4ozcRYtEKIN1t-qRPZaUStKleLsgxQxJqXv0EZ0CIYbAECw28AeJmbiBtosVSQ824unhfYTyhRCAt1olO_pNwf6PPmMNVTUO5q7F1b3CQPKP5D3VmNMw3MrHUzTzLwqMMzTIAYWf3V-7TEuHBOVzTsOtmuV-j63qASkFGsn_3x-TwgPVeOZ-INnDtXnSCSwQKG10q0_QE7B-ke2v0Up0vxXJ4wTsX8qWm6sJ5Bn_GU260qNPnVCip93xhzAHv7e__ONfeTMdDVPypQ0lyKgcR0FcBrJqONz6yifuu2BfoGeDkXV1cyZFhZg_xwiFYw"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "customerId",
                  "loanId",
                  "amount",
                  "providerCode",
                  "currencyCode",
                  "transactionId"
                ],
                "properties": {
                  "customerId": {
                    "type": "string",
                    "description": "The Email or Mobile Number of the User to the credited. Max Length: 50",
                    "default": "2348123456789"
                  },
                  "loanId": {
                    "type": "string",
                    "description": "The Id of the loan for which this credit request is made. Max length: 50",
                    "default": "10000000044"
                  },
                  "amount": {
                    "type": "integer",
                    "description": "The Amount to be credited to the user’s account. (This is in lower denomination KOBO)",
                    "default": 5000,
                    "format": "int64"
                  },
                  "providerCode": {
                    "type": "string",
                    "description": "The Code of the provider from which this request is coming from.",
                    "default": "PTB"
                  },
                  "currencyCode": {
                    "type": "string",
                    "description": "ISO 4217 standard currency code. Default to 566",
                    "default": "566"
                  },
                  "transactionId": {
                    "type": "string",
                    "description": "The Identifier for this transaction that can be used for Requery in later time.",
                    "default": "145688247533498"
                  },
                  "qtTerminalId": {
                    "type": "string",
                    "description": "The quickteller terminalId to be used."
                  },
                  "loanReferenceId": {
                    "type": "string",
                    "description": "A unique identifier assigned to the loan from the Lending Service. It should be the same loan reference id that was sent to the provider in the AcceptOffer request body.. Max length: 50."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"responseCode\" : \"00\",\n  \"responseMessage\" : \"Transaction Successful\",\n  \"transactionRef\" : \"UBN|WEB|ILS|20170501091282|01238797\",\n  \"transactionId\": \"198988747587875\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Transaction Successful"
                    },
                    "transactionRef": {
                      "type": "string",
                      "example": "UBN|WEB|ILS|20170501091282|01238797"
                    },
                    "transactionId": {
                      "type": "string",
                      "example": "198988747587875"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```